Subject: bug#14297: 24.3.50; emacs subprocesses don't exit on "exit"

From: Vitalie Spinu <[email-masked]>
Date: Tue, 30 Apr 2013 00:36:31 +0200

Problem does not occur in emacs -nw and as I have just discovered it
doesn't occur with lucid either. Sorry, it took me a while to figure
this out. So it is probably some local glitch with Gtk what happened
after the update.  It's pretty non intuitive, how failure of
(process-live-p proc) is connected to window toolkit?

With trunk from last November I cannot open Gtk emacs at all. I will
reinstall Gtk tomorrow to see if that helps.

Thanks for all the input, 

    Vitalie

 >> Glenn Morris <[email-masked]>
 >> on Mon, 29 Apr 2013 15:10:21 -0400 wrote:

 > Glenn Morris wrote:
 >> It's fairly likely to be something in process.c.

 > PS which suggests checking these (bzr trunk) revision numbers:

 > revno: 111280
 > revno: 111258
 > revno: 111151
 > revno: 111122
 > revno: 111081
 > revno: 111064
 > revno: 111016
 > revno: 110931
 > revno: 110922
 > revno: 110909
 > revno: 110889
 > revno: 110801
 > revno: 110784